# PR-DC Arduino Library for Analog Devices AD7194

The AD7194 is a low noise, complete analog front end for high precision 
measurement applications. It contains a low noise, 24-bit sigma-delta (Σ-Δ) 
analog-to-digital converter (ADC). The on-chip low noise gain stage means 
that signals of small amplitude can interface directly to the ADC. 
The device can be configured to have eight differential inputs.

For more information please visit: https://www.analog.com/en/products/ad7194.html

## Requirements
[Arduino](https://www.arduino.cc/)<br>

This library is tested with
**Arduino IDE 1.8.13**

## Installation
Clone the repository to the Arduino libraries folder.

For example, on the Windows OS path is:
```
C:\Users\{User}\Documents\Arduino\libraries
```

For more information please visit: https://www.arduino.cc/en/guide/libraries#toc5

## Usage

For usage please check provided examples. 

## Example application

High precision measurement for propulsion testing.

<p align="center">
  <img src="https://pr-dc.com/web/img/github/PRDC_LCADC-8.jpg" width="800">
</p>

## License
Copyright (C) 2021 PR-DC <info@pr-dc.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as 
published by the Free Software Foundation, either version 3 of the 
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.